// A script to test the StatechartParser using a 
// statechart of a microwave as example.

import scala.io.Source._
import statechart._

val s = fromFile("microwave.txt").mkString

val parseResult = StatechartParser.statechart(StatechartParser.scan(s))

val microwave = parseResult.get

microwave start

assert(microwave.currentState.name == "Ready")

microwave trigger "openDoor"

microwave trigger "closeDoor"

microwave trigger "setTimer"

microwave context "cookingTime" = 5

microwave trigger "setTimer"

// wait for timer to expire
Thread sleep 8 * 1000
